#include <xvt.h>

#include <applicat.h>
#include <checks.h>

#include "ba1.h"

#define usage "Errore - uso : ba1 [-{0|1|2|3|4}]"

int main(int argc,char** argv)
{
  TApplication::check_parameters(argc, argv);

  const int r = (argc > 1) ? atoi(&argv[1][1]) : 0;

  switch (r)
  {
  case 0:
    ba1100(argc,argv); break;
  case 1: 
    ba1200(argc,argv); break;
  case 2:
    ba1300(argc,argv); break;
  case 3:
    ba1400(argc,argv); break;
  case 4:
    ba1500(argc,argv); break;
  default:
    error_box(usage); break;
  }

  return 0;
}


